#pragma once

#include <wx/wx.h>

namespace gui
{
//--------------------------------------------------------------
class StatusBar : public wxStatusBar
{
  public:
  StatusBar() = delete;                                     // Default constructor
  explicit StatusBar(wxFrame *parent);                      // Constructor
  virtual ~StatusBar()                       = default;     // Default destructor
  StatusBar(StatusBar &obj)                  = delete;      // Copy constructor
  StatusBar(StatusBar &&obj)                 = delete;      // Move constructor
  StatusBar &operator=(const StatusBar &obj) = delete;      // Copy assignment operator
  StatusBar &operator=(StatusBar &&obj)      = delete;      // Move assignment operator
};
//--------------------------------------------------------------
}     // namespace gui
